/*
    UsrLib.h
    Copyright, 1988-1990
    Marc Wolfgram & Associates

    3Nov90
 */

#ifndef __usrlib__
#define __usrlib__

#ifndef __TYPES__
#include <TYPES.H>

/*-------------------------------------------------------------------------
  *     general functions
   */
void GetDate(char *);
void Cant(char *, char *, int);

/*-------------------------------------------------------------------------
  *     pstring functions
   */
extern void pstrcat(char *, char *);
extern int  pstrcmp(char *, char *);
extern void pstrcpy(char *, char *);

/*-------------------------------------------------------------------------
  *     umemory functions
   */
extern long ualloc(long, int, int);
extern long urealloc(long, int);
extern void ufree(long);

/*-------------------------------------------------------------------------
  *     bit functions
   */
extern pascal LongWord L_AND(LongWord, Lovgword);
extern pascal LongWord L_OR(LongWord, Longword);
extern pascal LongWord L_EOR(LongWord, Longword);
extern pascal Word L_BITSTATE(LongWord, Word);

#endif
